routes/web.php
Route::get('/report/performance', 'ReportController@performance')->name('report.performance')->middleware('auth');
Route::match(['get', 'post'], '/report/lead', 'ReportController@showLeadReport')->name('report.lead')->middleware('auth');
Route::get('/utils/getSchools/{province}', 'UtilsController@getSchools');
Route::get('/utils/getSchools/{province}/{selected}', 'UtilsController@getSchools');
Route::get('/utils/getDistricts/{province}', 'UtilsController@getDistricts');
Route::get('/utils/getDistricts/{province}/{selected}', 'UtilsController@getDistricts');
Route::get('/utils/checkIfPhoneExists/{phone}', 'UtilsController@checkIfPhoneExists');
Route::get('/utils/getOnline/{user_id}', 'UtilsController@getOnline');
Route::get('/utils/getWeight', 'UtilsController@getWeight');
Route::get('/utils/getLeadCost', 'UtilsController@getLeadCost');
Route::get('/utils/checkCost', 'UtilsController@checkCost');
Route::get('/utils/checkList', 'UtilsController@checkList');
Route::get('/utils/getOnlineUsers', 'UtilsController@getOnlineUsers');
Route::get('/utils/fixAssignment', 'UtilsController@fix_assignment');
Route::get('/utils/setOnline/{user_id}', 'UtilsController@setOnline');
Route::get('/call/{phone}/{trunk?}', 'LeadController@call')->name('lead.call')->middleware('auth');
Route::get('/call_test/{phone}/{trunk?}', 'LeadController@call_test')->name('lead.call_test')->middleware('auth');
Route::get('/utils/getOnlineStatus/{user_id}', 'UtilsController@getOnlineStatus');
Route::match(['get', 'post'], '/sms/send', 'UtilsController@sendSms');
Route::resource('cost', 'MarketingCostController');
Route::resource('alarm', 'AlarmController');
Route::resource('cdr', 'CdrController');
Route::resource('class', 'AvailableClassController');
Route::get('class/{id}/toggle', 'AvailableClassController@toggle')->name('class.toggle')->middleware('auth');
Route::resource('source', 'SourceController');
Route::get('lead_status/{id}/toggle', 'LeadStatusController@toggle')->name('lead_status.toggle')->middleware('auth');
Route::resource('lead_status', 'LeadStatusController');
Route::get('call_status/{id}/toggle', 'CallStatusController@toggle')->name('call_status.toggle')->middleware('auth');
Route::resource('call_status', 'CallStatusController');
Route::get('source/{id}/toggle', 'SourceController@toggle')->name('source.toggle')->middleware('auth');
Route::resource('info_source', 'InfoSourceController');
Route::get('info_source/{id}/toggle', 'InfoSourceController@toggle')->name('info_source.toggle')->middleware('auth');
Route::resource('channel', 'ChannelController');
Route::get('channel/{id}/toggle', 'ChannelController@toggle')->name('channel.toggle')->middleware('auth');
Route::resource('campaign', 'CampaignController');
Route::get('campaign/{id}/toggle', 'CampaignController@toggle')->name('campaign.toggle')->middleware('auth');
Route::resource('campus', 'CampusController');
Route::get('campus/{id}/toggle', 'CampusController@toggle')->name('campus.toggle')->middleware('auth');
Route::resource('department', 'DepartmentController');
Route::get('department/{id}/toggle', 'DepartmentController@toggle')->name('department.toggle')->middleware('auth');
Route::resource('school', 'SchoolController');
Route::get('school/{id}/toggle', 'SchoolController@toggle')->name('school.toggle')->middleware('auth');
Route::resource('promotion', 'PromotionController');
Route::get('promotion/{id}/toggle', 'PromotionController@toggle')->name('promotion.toggle')->middleware('auth');
Route::post('alarm/set', 'AlarmController@set')->name('alarm.set')->middleware('auth');
Route::post('alarm/stop', 'AlarmController@stopAlarm')->name('alarm.stop')->middleware('auth');
Route::get('alarm/{user_id}/list', 'AlarmController@getAlarmList')->name('alarm.list')->middleware('auth');
Route::resource('sms', 'SmsController');
Route::resource('alarm', 'AlarmController')->middleware('auth');
Route::post('sms/stop', 'SmsController@stopSmsNotification')->name('sms.stop')->middleware('auth');
Route::get('sms/{user_id}/list', 'SmsController@getUnopenedSmsList')->name('sms.list')->middleware('auth');
Route::get('transfer/{department_id}/show', 'TransferredLeadController@showList')->name('transfer.show')->middleware('auth');
Route::get('transfer/notified', 'TransferredLeadController@notified')->name('transfer.notified')->middleware('auth');
Route::get('email/{id}/open', 'EmailMarketing\EmailController@open')->name('email.open');
Route::get('forceReload', 'UtilsController@forceReload');
Route::get('needReload', 'UtilsController@getForceReloadStatus');
Route::post('call_history/log', 'CallLogController@log');
Route::resource('calls', 'CallLogController');
Route::match(['get', 'post'], 'suspect/import', 'SuspectController@import')->name('suspect.import');
Route::resource('suspect', 'SuspectController');
Route::match(['get', 'post'], 'report/call_log', 'Report\CallLogReportController@index')->name('report.call_log');
Route::match(['get', 'post'], 'report/call_log/test', 'Report\CallLogReportController@test')->name('report.call_log.test');
Route::match(['get', 'post'], 'report/call_log/getUserByDepartment', 'Report\CallLogReportController@getUserByDepartment')->name('report.call_log.get_user_by_department');
Route::post('lead/sendSms', 'LeadController@sendSms')->name('lead.sms')->middleware('auth');
Route::post('lead/sendSmsMultiple', 'LeadController@sendSmsMultiple')->name('lead.sms_multiple')->middleware('auth');
Route::post('lead/getUserByDepartment', 'LeadController@getUserByDepartment')->name('lead.get_user_by_department')->middleware('auth');
Route::post('lead/getCampaignByCategory', 'LeadController@getCampaignByCategory')->name('lead.getCampaignByCategory')->middleware('auth');

Route::match(['get', 'post'], 'report/logSms', 'Report\LogSmsController@index')->name('report.logSms');
Route::match(['get', 'post'], 'report/logSms/detail', 'Report\LogSmsController@detail')->name('report.logSms.detail');
Route::match(['get', 'post'], 'report/leadInteractive', 'Report\LeadInteractiveController@index')->name('report.leadInteractive');
Route::match(['get', 'post'], 'report/leadInteractiveExport', 'Report\LeadInteractiveController@export')->name('report.leadInteractive.export');
Route::match(['get', 'post'], 'leadMarketing/landingPage', 'LeadMarketing\LandingPageController@index')->name('leadMarketing.landingPage');
Route::match(['get', 'post'], 'leadMarketing/website', 'LeadMarketing\WebsiteController@index')->name('leadMarketing.website');
Route::match(['get', 'post'], 'leadMarketing/facebook', 'LeadMarketing\FacebookController@index')->name('leadMarketing.facebook');
Route::match(['get', 'post'], 'leadMarketing/tawkto', 'LeadMarketing\TawktoController@index')->name('leadMarketing.tawkto');
Route::match(['get', 'post'], 'leadMarketing/tawkto/offline', 'LeadMarketing\TawktoController@offline')->name('leadMarketing.tawkto.offline');
Route::match(['get', 'post'], 'leadMarketing/ahaChat', 'LeadMarketing\AhaChatController@index')->name('leadMarketing.ahaChat');
Route::match(['get', 'post'], 'leadMarketing/offline', 'LeadMarketing\OfflineController@index')->name('leadMarketing.offline');

Route::match(['get', 'post'], 'notify/markAllAsRead', 'NotifyController@markAllAsRead')->name('notify.markAllAsRead');
Route::match(['get', 'post'], 'notify/markNewAsPending', 'NotifyController@markNewAsPending')->name('notify.markNewAsPending');
Route::match(['get', 'post'], 'notify/markAsUnRead', 'NotifyController@markAsUnRead')->name('notify.markAsUnRead');
Route::match(['get', 'post'], 'notify/markAsRead', 'NotifyController@markAsRead')->name('notify.markAsRead');
Route::match(['get', 'post'], 'notify/getNewNotify', 'NotifyController@getNewNotify')->name('notify.getNewNotify');
Route::match(['get', 'post'], 'notify', 'NotifyController@index')->name('notify.index');
Route::match(['get', 'post'], 'notify/checkNotifyLeadNewAndNoAnswer', 'NotifyController@checkNotifyLeadNewAndNoAnswer')->name('notify.checkNotifyLeadNewAndNoAnswer');
Route::match(['get', 'post'], 'notify/{id}', 'NotifyController@detail')->name('notify.detail');

Route::match(['get', 'post'], 'report/logChangeStatus', 'Report\LogChangeStatusController@index')->name('report.logChangeStatus');
Route::match(['get', 'post'], 'report/logChangeStatus/export', 'Report\LogChangeStatusController@export')->name('report.logChangeStatus.export');
Route::match(['get', 'post'], 'report/otb', 'Report\OtbController@index')->name('report.otb');
Route::match(['get', 'post'], 'report/otb/export', 'Report\OtbController@export')->name('report.otb.export');

Route::match(['get', 'post'], 'location/getDistrictByProvince', 'LocationController@getDistrictByProvince')->name('location.getDistrictByProvince');

Route::match(['get', 'post'], 'report/cdr', 'Report\CdrController@index')->name('report.cdr');
Route::match(['get', 'post'], 'report/cdr/getUserByDepartment', 'Report\CdrController@getUserByDepartment')->name('report.cdr.get_user_by_department');
Route::match(['post'], 'report/cdr/getPbxConfig', 'Report\CdrController@getPbxConfig')->name('report.cdr.get_pbx_config');
Route::match(['post'], 'report/cdr/saveCallLog', 'Report\CdrController@saveCallLog')->name('report.cdr.saveCallLog');

Route::match(['get', 'post'], 'report/leadSource', 'Report\LeadSourceController@index')->name('report.leadSource');
Route::match(['get', 'post'], 'report/leadSourceSearch', 'Report\LeadSourceController@search')->name('report.leadSource.search');

Route::match(['get', 'post'], 'report/leadDetail/smis', 'Report\LeadDetailController@smis')->name('report.leadDetail.smis');
Route::match(['get', 'post'], 'report/leadDetail/smis/export', 'Report\LeadDetailController@exportSMIS')->name('report.leadDetail.exportSMIS');
Route::match(['get', 'post'], 'report/leadDetail/gis', 'Report\LeadDetailController@gis')->name('report.leadDetail.gis');
Route::match(['get', 'post'], 'report/leadDetail/gis/export', 'Report\LeadDetailController@exportGIS')->name('report.leadDetail.exportGIS');

app/Promotion.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Promotion extends Model
{
    protected $table = 'fptu_promotion';
    protected $fillable = array('code', 'name', 'percentage');
}

app/Http/Controllers/PromotionController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Promotion;

class PromotionController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $promotion_list = array();
        $promotion_list = Promotion::all();
        return view('promotion.index', ['promotion_list' => $promotion_list]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('promotion.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $success = 0;
        $return_message = '';
        $found = Promotion::where('name', $request->name)
            ->count();
        $error = false;
        if ($found) {
            $return_message = '<div>Tên nguồn thông tin đã tồn tại.</div>';
            $error = true;
        } else {
            $return_message = '';
            $success = 1;
        }
        $promotion = new Promotion();
        $promotion->code = trim($request->code);
        $promotion->name = trim($request->name);
        $promotion->percentage = trim($request->percentage);
        $promotion->save();
        $request->flash();
        return view('promotion.edit', ['promotion' => $promotion, 'success' => $success, 'message' => $return_message]);
    }


    /**
     * Show the form for editing the specified resource.
     *
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $promotion = Promotion::find($id);
        return view('promotion.edit', ['promotion' => $promotion]);
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request $request
     * @param  int $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $success = 0;
        $promotion = Promotion::find($id);
        $error = false;
        $return_message = '';

        if (!$error) {
            $update = array(
                'code' => $request->code,
                'name' => $request->name,
                'percentage' => $request->percentage
            );

            $updated = $promotion->update($update);
            if ($updated) {
                $return_message = '';
                $success = 1;
            } else {
                $return_message = '<div>Đã có lỗi trong quá trình cập nhật dữ liệu.</div>';
                $success = 0;
            }
        }
        //$user = User::find($id);
        return view('promotion.edit', ['success' => $success, 'promotion' => $promotion, 'message' => $return_message]);
    }

    public function toggle($id)
    {
        $success = 0;
        $promotion = Promotion::find($id);
        $error = false;
        $return_message = '';
        $update = array();
        if ($promotion->hide == 1) {
                $promotion->hide = 0;
        } else {
            $promotion->hide = 1;
        }

        $updated = $promotion->save();
        if ($updated) {
            $return_message = 'Đã cập nhật trạng thái promotion thành công!';
            $success = 1;
        } else {
            $return_message = '<div>Đã có lỗi trong quá trình cập nhật dữ liệu.</div>';
            $success = 0;
        }
        $promotion_list = array();
        $promotion_list = Promotion::all();
        return view('promotion.index', ['success' => $success, 'message' => $return_message, 'promotion_list' => $promotion_list]);
    }
}

resources/views/promotion/create.blade.php
@extends('layouts.main')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Thêm promotion mới</div>
                <div class="panel-body">
                    @if(!empty($message))
                        <div class="alert alert-danger" role="alert">{!! $message !!}</div>
                    @endif
                    @if(!empty($success))
                        <div class="alert alert-success" role="alert">Tạo promotion mới thành công!</div>
                    @endif
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('promotion.store') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('code') ? ' has-error' : '' }}">
                            <label for="class_name" class="col-md-4 control-label required">Mã promotion</label>

                            <div class="col-md-6">
                                <input id="code" type="text" class="form-control" name="code" value="{{ old('code') }}"
                                       required autofocus>

                                @if ($errors->has('code'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('code') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="class_name" class="col-md-4 control-label required">Tên promotion</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}"
                                       required autofocus>

                                @if ($errors->has('class_name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('class_name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        <div class="form-group{{ $errors->has('percentage') ? ' has-error' : '' }}">
                            <label for="class_name" class="col-md-4 control-label required">Số phần trăm giảm
                                trừ</label>

                            <div class="col-md-6">
                                <input id="percentage" type="number" min="0" max="100" class="form-control"
                                       name="percentage" value="{{ old('percentage') }}" required autofocus
                                       style="display:inline-block; width: 60px;"><strong>%</strong>

                                @if ($errors->has('percentage'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('percentage') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>


                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Khởi tạo
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@stop

resources/views/promotion/edit.blade.php
@extends('layouts.main')

@section('content')
<div class="container">
    <div class="row">
        <div class="col-md-8 col-md-offset-2">
            <div class="panel panel-default">
                <div class="panel-heading">Chỉnh sửa promotion</div>
                <div class="panel-body">
                    @if(!empty($message))
                        <div class="alert alert-danger" role="alert">{!! $message !!}</div>
                    @endif
                    @if(!empty($success))
                        <div class="alert alert-success" role="alert">Lưu dữ liệu thành công!</div>
                    @endif
                    <form class="form-horizontal" role="form" method="POST"
                          action="{{ route('promotion.update', $promotion->id) }}">
                        {!! method_field('patch') !!}
                        {{ csrf_field() }}
                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Mã promotion</label>

                            <div class="col-md-6">
                                <input id="code" type="text" class="form-control" name="code"
                                       value="{{ $promotion->code }}" required autofocus>

                                @if ($errors->has('code'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('code') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Tên promotion</label>

                            <div class="col-md-6">
                                <input id="name" type="text" class="form-control" name="name"
                                       value="{{ $promotion->name }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('percentage') ? ' has-error' : '' }}">
                            <label for="name" class="col-md-4 control-label">Số phần trăm giảm trừ</label>

                            <div class="col-md-6">
                                <input id="percentage" type="number" min="0" max="100" class="form-control" name="percentage"
                                       value="{{ $promotion->percentage }}" required autofocus
                                       style="display:inline-block; width: 60px;"><strong>%</strong>

                                @if ($errors->has('percentage'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('percentage') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-6 col-md-offset-4">
                                <button type="submit" class="btn btn-primary">
                                    Cập nhật
                                </button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
    @stop

resources/views/promotion/index.blade.php
@extends('layouts.main')

@section('content')
<div class="x_panel">
    <div class="x_title">
        <h2>Quản lý promotion</h2>
        <div class="pull-right">
            <a class="btn btn-default" href="{{ route('promotion.create') }}">Thêm promotion mới</a><br/>
        </div>
        <div class="clearfix"></div>
    </div>

    <div class="x_content">
        <table class="table table-hover">
            <thead>
            <th></th>
            <th></th>
            <th>Mã promotion</th>
            <th>Tên promotion</th>
            <th>Phần trăm giảm trừ</th>
            <th>Ẩn/Hiện</th>
            </thead>
            <tbody>
            @foreach($promotion_list as $promotion)
                <tr>
                    <td><a href="{{ route('promotion.edit', $promotion->id) }}" title="Chỉnh sửa"><i
                                    class="fa fa-lg fa-pencil"
                                    aria-hidden="true"></i></a>
                    </td>
                    <td><a href="{{ route('promotion.toggle', $promotion->id) }}" title="{!! $promotion->hide ?'Hiện' : 'Ẩn' !!}"><i
                                    class="fa fa-lg {!! $promotion->hide ?'fa-eye' : 'fa-eye-slash' !!}"
                                    aria-hidden="true"></i></a></td>
                    <td>{{ $promotion->code }}</td>
                    <td>{{ $promotion->name }}</td>
                    <td>{{ $promotion->percentage }}%</td>
                    <td>{!! $promotion->hide ?'<span class="class-status active">Ẩn</span>':'<span class="class-status inactive">Hiện</span>' !!}</td>
                </tr>
            @endforeach
            </tbody>
        </table>
    </div>

</div>
@stop